Session
Date: 2015-09-19

javax.jms

## Interface Session

- All Superinterfaces:
    java.lang.Runnable
  All Known Subinterfaces:
    QueueSession, TopicSession, XAQueueSession, XASession, XATopicSession

      public interface Session
      extends java.lang.Runnable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AUTO_ACKNOWLEDGE`
    `static int` | `CLIENT_ACKNOWLEDGE`
    `static int` | `DUPS_OK_ACKNOWLEDGE`
    `static int` | `SESSION_TRANSACTED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `commit()`
    `QueueBrowser` | `createBrowser(Queue queue)`
    `QueueBrowser` | `createBrowser(Queue queue, java.lang.String messageSelector)`
    `BytesMessage` | `createBytesMessage()`
    `MessageConsumer` | `createConsumer(Destination destination)`
    `MessageConsumer` | `createConsumer(Destination destination, java.lang.String messageSelector)`
    `MessageConsumer` | `createConsumer(Destination destination, java.lang.String messageSelector, boolean NoLocal)`
    `TopicSubscriber` | `createDurableSubscriber(Topic topic, java.lang.String name)`
    `TopicSubscriber` | `createDurableSubscriber(Topic topic, java.lang.String name, java.lang.String messageSelector, boolean noLocal)`
    `MapMessage` | `createMapMessage()`
    `Message` | `createMessage()`
    `ObjectMessage` | `createObjectMessage()`
    `ObjectMessage` | `createObjectMessage(java.io.Serializable object)`
    `MessageProducer` | `createProducer(Destination destination)`
    `Queue` | `createQueue(java.lang.String queueName)`
    `StreamMessage` | `createStreamMessage()`
    `TemporaryQueue` | `createTemporaryQueue()`
    `TemporaryTopic` | `createTemporaryTopic()`
    `TextMessage` | `createTextMessage()`
    `TextMessage` | `createTextMessage(java.lang.String text)`
    `Topic` | `createTopic(java.lang.String topicName)`
    `int` | `getAcknowledgeMode()`
    `MessageListener` | `getMessageListener()`
    `boolean` | `getTransacted()`
    `void` | `recover()`
    `void` | `rollback()`
    `void` | `run()`
    `void` | `setMessageListener(MessageListener listener)`
    `void` | `unsubscribe(java.lang.String name)`

- - ### Field Detail

    - #### AUTO_ACKNOWLEDGE

          static final int AUTO_ACKNOWLEDGE

      See Also:
        Constant Field Values

    - #### CLIENT_ACKNOWLEDGE

          static final int CLIENT_ACKNOWLEDGE

      See Also:
        Constant Field Values

    - #### DUPS_OK_ACKNOWLEDGE

          static final int DUPS_OK_ACKNOWLEDGE

      See Also:
        Constant Field Values

    - #### SESSION_TRANSACTED

          static final int SESSION_TRANSACTED

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### createBytesMessage

          BytesMessage createBytesMessage()
                                          throws JMSException

      Throws:
        `JMSException`

    - #### createMapMessage

          MapMessage createMapMessage()
                                      throws JMSException

      Throws:
        `JMSException`

    - #### createMessage

          Message createMessage()
                                throws JMSException

      Throws:
        `JMSException`

    - #### createObjectMessage

          ObjectMessage createObjectMessage()
                                            throws JMSException

      Throws:
        `JMSException`

    - #### createObjectMessage

          ObjectMessage createObjectMessage(java.io.Serializable object)
                                            throws JMSException

      Throws:
        `JMSException`

    - #### createStreamMessage

          StreamMessage createStreamMessage()
                                            throws JMSException

      Throws:
        `JMSException`

    - #### createTextMessage

          TextMessage createTextMessage()
                                        throws JMSException

      Throws:
        `JMSException`

    - #### createTextMessage

          TextMessage createTextMessage(java.lang.String text)
                                        throws JMSException

      Throws:
        `JMSException`

    - #### getTransacted

          boolean getTransacted()
                                throws JMSException

      Throws:
        `JMSException`

    - #### getAcknowledgeMode

          int getAcknowledgeMode()
                                 throws JMSException

      Throws:
        `JMSException`

    - #### commit

          void commit()
                      throws JMSException

      Throws:
        `JMSException`

    - #### rollback

          void rollback()
                        throws JMSException

      Throws:
        `JMSException`

    - #### close

          void close()
                     throws JMSException

      Throws:
        `JMSException`

    - #### recover

          void recover()
                       throws JMSException

      Throws:
        `JMSException`

    - #### getMessageListener

          MessageListener getMessageListener()
                                             throws JMSException

      Throws:
        `JMSException`

    - #### setMessageListener

          void setMessageListener(MessageListener listener)
                                  throws JMSException

      Throws:
        `JMSException`

    - #### run

          void run()

      Specified by:
        `run` in interface `java.lang.Runnable`

    - #### createProducer

          MessageProducer createProducer(Destination destination)
                                         throws JMSException

      Throws:
        `JMSException`

    - #### createConsumer

          MessageConsumer createConsumer(Destination destination)
                                         throws JMSException

      Throws:
        `JMSException`

    - #### createConsumer

          MessageConsumer createConsumer(Destination destination,
                                       java.lang.String messageSelector)
                                         throws JMSException

      Throws:
        `JMSException`

    - #### createConsumer

          MessageConsumer createConsumer(Destination destination,
                                       java.lang.String messageSelector,
                                       boolean NoLocal)
                                         throws JMSException

      Throws:
        `JMSException`

    - #### createQueue

          Queue createQueue(java.lang.String queueName)
                            throws JMSException

      Throws:
        `JMSException`

    - #### createTopic

          Topic createTopic(java.lang.String topicName)
                            throws JMSException

      Throws:
        `JMSException`

    - #### createDurableSubscriber

          TopicSubscriber createDurableSubscriber(Topic topic,
                                                java.lang.String name)
                                                  throws JMSException

      Throws:
        `JMSException`

    - #### createDurableSubscriber

          TopicSubscriber createDurableSubscriber(Topic topic,
                                                java.lang.String name,
                                                java.lang.String messageSelector,
                                                boolean noLocal)
                                                  throws JMSException

      Throws:
        `JMSException`

    - #### createBrowser

          QueueBrowser createBrowser(Queue queue)
                                     throws JMSException

      Throws:
        `JMSException`

    - #### createBrowser

          QueueBrowser createBrowser(Queue queue,
                                   java.lang.String messageSelector)
                                     throws JMSException

      Throws:
        `JMSException`

    - #### createTemporaryQueue

          TemporaryQueue createTemporaryQueue()
                                              throws JMSException

      Throws:
        `JMSException`

    - #### createTemporaryTopic

          TemporaryTopic createTemporaryTopic()
                                              throws JMSException

      Throws:
        `JMSException`

    - #### unsubscribe

          void unsubscribe(java.lang.String name)
                           throws JMSException

      Throws:
        `JMSException`